import { TransformationUrlSlugPattern } from "@upload-io/upload-shared-iso";
import { FileDownloadGrantsArrayDto } from "../../auth/dtos/FileDownloadGrantsArrayDto";
export interface FileDownloadGrantsDto {
    downloadFile: TransformationUrlSlugPattern[];
}
/**
 * Permissions relating to the downloading of files at this path.
 */
export interface FileDownloadGrantsUnboxedDto {
    downloadFile: FileDownloadGrantsArrayDto;
}
/**
 * Permissions relating to the downloading of files at this path.
 */
export interface FileDownloadGrantsPartialUnboxedDto {
    downloadFile?: FileDownloadGrantsArrayDto;
}
