import { EpochMillis, EpochMillisUnboxed } from "@upload-io/upload-shared-iso";
export interface AccountCacheInvalidationHistoryDto {
    /**
     * Count for lastInvalidation's epoch month.
     */
    countForMonth: number;
    lastInvalidation: EpochMillis;
}
export interface AccountCacheInvalidationHistoryUnboxedDto {
    countForMonth: number;
    lastInvalidation: EpochMillisUnboxed;
}
export declare namespace AccountCacheInvalidationHistoryDto {
    function forCurrentMonth(history: AccountCacheInvalidationHistoryDto | undefined): AccountCacheInvalidationHistoryDto | undefined;
}
