export declare class BoxedArithmetic<A, B> {
    private readonly params;
    static readonly bigSizeInBytes: BoxedArithmetic<string & {
        readonly __TYPE__: "BigSizeInBytes";
    }, bigint>;
    constructor(params: {
        box: (b: B) => A;
        doAdd: (l: B, r: B) => B;
        unbox: (a: A) => B;
        unit: B;
    });
    add(left: A, right: A): A;
    sum(values: A[]): A;
}
